Bug 1047492 - [abrt] python-setuptools: dist.py:216:patch_missing_pkg_info:UnicodeEncodeError: 'ascii' codec can't encode character u'\u03bf' in position 5: ordinal not in range(128)
Summary: [abrt] python-setuptools: dist.py:216:patch_missing_pkg_info:UnicodeEncodeErr...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: python-setuptools
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fedora Infrastructure SIG
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3e00ac875791499633d465fe75b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-31 10:59 UTC by Marcin Stawiarski
Modified: 2015-06-29 13:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 13:59:11 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (3.02 KB, text/plain)
2013-12-31 11:00 UTC, Marcin Stawiarski
no flags Details
File: environ (2.03 KB, text/plain)
2013-12-31 11:00 UTC, Marcin Stawiarski
no flags Details

Description Marcin Stawiarski 2013-12-31 10:59:56 UTC
Version-Release number of selected component:
python-setuptools-1.4-1.fc20

Additional info:
reporter:       libreport-2.1.10
cmdline:        /usr/bin/python /bin/easy_install -m djang
dso_list:       python-libs-2.7.5-9.fc20.x86_64
executable:     /bin/easy_install
kernel:         3.12.5-302.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
dist.py:216:patch_missing_pkg_info:UnicodeEncodeError: 'ascii' codec can't encode character u'\u03bf' in position 5: ordinal not in range(128)

Traceback (most recent call last):
  File "/bin/easy_install", line 9, in <module>
    load_entry_point('setuptools==1.4', 'console_scripts', 'easy_install')()
  File "/usr/lib/python2.7/site-packages/setuptools/command/easy_install.py", line 1925, in main
    with_ei_usage(lambda:
  File "/usr/lib/python2.7/site-packages/setuptools/command/easy_install.py", line 1912, in with_ei_usage
    return f()
  File "/usr/lib/python2.7/site-packages/setuptools/command/easy_install.py", line 1929, in <lambda>
    distclass=DistributionWithoutHelpCommands, **kw
  File "/usr/lib64/python2.7/distutils/core.py", line 152, in setup
    dist.run_commands()
  File "/usr/lib64/python2.7/distutils/dist.py", line 953, in run_commands
    self.run_command(cmd)
  File "/usr/lib64/python2.7/distutils/dist.py", line 972, in run_command
    cmd_obj.run()
  File "/usr/lib/python2.7/site-packages/setuptools/command/easy_install.py", line 374, in run
    self.easy_install(spec, not self.no_deps)
  File "/usr/lib/python2.7/site-packages/setuptools/command/easy_install.py", line 609, in easy_install
    return self.install_item(spec, dist.location, tmpdir, deps)
  File "/usr/lib/python2.7/site-packages/setuptools/command/easy_install.py", line 639, in install_item
    dists = self.install_eggs(spec, download, tmpdir)
  File "/usr/lib/python2.7/site-packages/setuptools/command/easy_install.py", line 825, in install_eggs
    return self.build_and_install(setup_script, setup_base)
  File "/usr/lib/python2.7/site-packages/setuptools/command/easy_install.py", line 1031, in build_and_install
    self.run_setup(setup_script, setup_base, args)
  File "/usr/lib/python2.7/site-packages/setuptools/command/easy_install.py", line 1016, in run_setup
    run_setup(setup_script, args)
  File "/usr/lib/python2.7/site-packages/setuptools/sandbox.py", line 69, in run_setup
    lambda: execfile(
  File "/usr/lib/python2.7/site-packages/setuptools/sandbox.py", line 120, in run
    return func()
  File "/usr/lib/python2.7/site-packages/setuptools/sandbox.py", line 71, in <lambda>
    {'__file__':setup_script, '__name__':'__main__'}
  File "setup.py", line 9, in <module>
  File "/usr/lib64/python2.7/distutils/core.py", line 112, in setup
    _setup_distribution = dist = klass(attrs)
  File "/usr/lib/python2.7/site-packages/setuptools/dist.py", line 233, in __init__
    self.patch_missing_pkg_info(attrs)
  File "/usr/lib/python2.7/site-packages/setuptools/dist.py", line 216, in patch_missing_pkg_info
    key = pkg_resources.safe_name(str(attrs['name'])).lower()
UnicodeEncodeError: 'ascii' codec can't encode character u'\u03bf' in position 5: ordinal not in range(128)

Local variables in innermost frame:
self: <setuptools.dist.Distribution instance at 0xc96830>
attrs: {'script_args': ['-q', 'bdist_egg', '--dist-dir', '/tmp/easy_install-EEOCKO/Djang\xce\xbf-2.0/egg-dist-tmp-tm6dDR'], 'version': '2.0', 'name': u'Djang\u03bf', 'script_name': 'setup.py'}

Comment 1 Marcin Stawiarski 2013-12-31 11:00:01 UTC
Created attachment 843727 [details]
File: backtrace

Comment 2 Marcin Stawiarski 2013-12-31 11:00:03 UTC
Created attachment 843728 [details]
File: environ

Comment 3 Toshio Ernie Kuratomi 2013-12-31 15:42:08 UTC
what do you expect to happen?

I can patch around the traceback but the input isn't really valid.  pypi doesn't understand non-ascii characters and with the present pypi.python.org/easy_install/pip infrastructure, non-ascii modules probably aren't portable between systems.

Comment 4 Marcin Stawiarski 2014-01-01 13:17:03 UTC
im really noobie when it comes to python, but i don't recall using any non-ascii characters. i checked in ascii table and it looks that asci adress that invoked the error was greek omicron... im pretty sure that i havent used that character ergo it was called by script by itself IMHO.

PS>sorry for my poor english.

Comment 5 Fedora Admin XMLRPC Client 2014-08-14 03:32:50 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 6 Fedora End Of Life 2015-05-29 10:15:27 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2015-06-29 13:59:11 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.